import {
	FEATURE_COLLABS_AUTH,
	FEATURE_FLAG_DATA_LIBRARY,
	FEATURE_FLAG_DATA_LIBRARY_AUDIENCE,
	FEATURE_FLAG_DATA_LIBRARY_BUDGET,
	FEATURE_FLAG_DATA_LIBRARY_CARD_CAMPAIGN_BUTTON,
	FEATURE_FLAG_DATA_LIBRARY_CARD_MORE_BUTTON,
	FEATURE_FLAG_DATA_LIBRARY_CARD_PIN_BUTTON,
	FEATURE_FLAG_DATA_LIBRARY_DASHBOARD,
	FEATURE_FLAG_DATA_LIBRARY_ENGAGEMENT,
	FEATURE_FLAG_DATA_LIBRARY_IMPRESSIONS,
	FEATURE_FLAG_DATA_LIBRARY_REACH,
	FEATURE_FLAG_DATA_LIBRARY_TRAFFIC,
	FEATURE_FLAG_FACEBOOK_AUTH,
	FEATURE_FLAG_INTEGRATED_INBOX,
	FEATURE_FLAG_DISCOVERY_VIEW,
	FEATURE_FLAG_DISCOVERY_LISTS_VIEW
} from 'constants/feature-flag-keys';

export const enabledFeatures = [
	{ name: FEATURE_FLAG_DATA_LIBRARY, enabled: process.env.REACT_APP_FEATURE_DATA_LIBRARY },
	{ name: FEATURE_FLAG_DATA_LIBRARY_DASHBOARD, enabled: process.env.REACT_APP_FEATURE_DATA_LIBRARY_DASHBOARD },
	{ name: FEATURE_FLAG_DATA_LIBRARY_REACH, enabled: process.env.REACT_APP_FEATURE_DATA_LIBRARY_REACH },
	{ name: FEATURE_FLAG_DATA_LIBRARY_IMPRESSIONS, enabled: process.env.REACT_APP_FEATURE_DATA_LIBRARY_IMPRESSIONS },
	{ name: FEATURE_FLAG_DATA_LIBRARY_TRAFFIC, enabled: process.env.REACT_APP_FEATURE_DATA_LIBRARY_TRAFFIC },
	{ name: FEATURE_FLAG_DATA_LIBRARY_AUDIENCE, enabled: process.env.REACT_APP_FEATURE_DATA_LIBRARY_AUDIENCE },
	{ name: FEATURE_FLAG_DATA_LIBRARY_BUDGET, enabled: process.env.REACT_APP_FEATURE_DATA_LIBRARY_BUDGET },
	{ name: FEATURE_FLAG_DATA_LIBRARY_ENGAGEMENT, enabled: process.env.REACT_APP_FEATURE_DATA_LIBRARY_ENGAGEMENT },
	{ name: FEATURE_FLAG_DATA_LIBRARY_CARD_PIN_BUTTON, enabled: process.env.REACT_APP_FEATURE_DATA_LIBRARY_CARD_PIN_BUTTON },
	{ name: FEATURE_FLAG_DATA_LIBRARY_CARD_MORE_BUTTON, enabled: process.env.REACT_APP_FEATURE_DATA_LIBRARY_CARD_MORE_BUTTON },
	{ name: FEATURE_FLAG_DATA_LIBRARY_CARD_CAMPAIGN_BUTTON, enabled: process.env.REACT_APP_FEATURE_DATA_LIBRARY_CARD_CAMPAIGN_BUTTON },
	{ name: FEATURE_FLAG_INTEGRATED_INBOX, enabled: process.env.REACT_APP_FEATURE_FLAG_INTEGRATED_INBOX },
	{ name: FEATURE_FLAG_FACEBOOK_AUTH, enabled: process.env.REACT_APP_FEATURE_FACEBOOK_AUTH },
	{ name: FEATURE_COLLABS_AUTH, enabled: process.env.REACT_APP_COLLABS_AUTH },
	{ name: FEATURE_FLAG_DISCOVERY_VIEW, enabled: process.env.REACT_APP_FEATURE_DISCOVERY_VIEW },
	{ name: FEATURE_FLAG_DISCOVERY_LISTS_VIEW, enabled: process.env.REACT_APP_FEATURE_DISCOVERY_LISTS_VIEW }
];
